fop 1.1

## org.apache.fop.fo
Class ElementMapping.Maker

    java.lang.Object
      org.apache.fop.fo.ElementMapping.Maker

Direct Known Subclasses:
  UnknownXMLObj.Maker

Enclosing class:
  ElementMapping

    public static class ElementMapping.Maker

extends java.lang.Object

Base class for all Makers. It is responsible to return the right kind of FONode for a particular element.

Constructor Summary
`ElementMapping.Maker()`

Method Summary
`FONode` `make(FONode parent)` Creates a new FONode (or rather a specialized subclass of it).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementMapping.Maker

    public ElementMapping.Maker()

Method Detail

### make

    public FONode make(FONode parent)

  Creates a new FONode (or rather a specialized subclass of it).

  Parameters:
    `parent` - the parent FONode
  Returns:
    the newly created FONode instance

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.